<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<title>Order Form</title>

	<link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.37/css/bootstrap-datetimepicker.min.css">
	<style type="text/css">
		.container {
			margin-top: 40px;
		}
		.btn-primary {
			width: 100%;
		}
	</style>

    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script> 
    <script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/2.14.1/moment.min.js"></script> 
    <script type="text/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script> 
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.37/js/bootstrap-datetimepicker.min.js"></script>

	<script type='text/javascript'>
		$( document ).ready(function() {
			$('#datetimepicker1').datetimepicker();
		});
	</script>
    
</head>
<body>
<div class="container">


	<!-- Static navbar -->
      <nav class="navbar navbar-default">
        <div class="container-fluid">
          <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
              <span class="sr-only">Toggle navigation</span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="#">Solution Part 380 C.A</a>
          </div>
          <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav">
              <li class="active"><a href="#">Inicio</a></li>
              <li><a href="#">Ordenes</a></li>
              <li><a href="#">Inventario</a></li>
            </ul>
            <ul class="nav navbar-nav navbar-right">
           	 <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Opciones <span class="caret"></span></a>
                <ul class="dropdown-menu">
                  <li><a href="#">Action</a></li>
                  <li><a href="#">Another action</a></li>
                  <li><a href="#">Something else here</a></li>
                  <li role="separator" class="divider"></li>
                  <li class="dropdown-header">Nav header</li>
                  <li><a href="#">Separated link</a></li>
                  <li><a href="#">One more separated link</a></li>
                </ul>
              </li>
              <li><a href="../navbar-static-top/">Cambiar de Usuario</a></li>
              <li><a href="../navbar-fixed-top/">Salir</a></li>
            </ul>
          </div><!--/.nav-collapse -->
        </div><!--/.container-fluid -->
      </nav>
      
      
      
   <div class="panel panel-primary">
      <div class="panel-heading">Orden de Servicio</div>
      <div class="panel-body">
      <form action="# "th:action="@{/orderform}" th:object="${servicesOrder}" method="post">
         <div class="row">
            <div class="col-md-2">
               <div class="form-group">
                  <label class="control-label">Nombre</label>
                  <input type="text" class="form-control" name="fname" id="fname" th:field="*{client.clientName}">
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label class="control-label">Apellido</label>
                  <input type="text" class="form-control" name="lname" id="lname" th:field="*{client.clientLastName}">
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label class="control-label">Cedula</label>
                  <input type="text" class="form-control" name="lname" id="lname" th:field="*{client.clientDNI}">
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label class="control-label">Telefono</label>
                  <input type="text" class="form-control" name="lname" id="lname" th:field="*{client.clientPhone}">
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label class="control-label">Telefeno Secundario</label>
                  <input type="text" class="form-control" name="lname" id="lname" th:field="*{client.clientCellPhone}">
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label class="control-label">Email</label>
                  <input type="text" class="form-control" name="lname" id="lname" th:field="*{client.clientEmail}">
               </div>
            </div>
         </div>
         <div class="row">
         	   <div class="col-md-6">
	               <div class="form-group">
	                  <label class="control-label">Direccion</label>
	                  <textarea class="form-control" name="email" id="email" th:field="*{client.clientAddress}"></textarea>
	               </div>
            	</div>   
	            <div class='col-md-6'>
	               <div class="form-group">
	                  <label class="control-label">Fecha de la Orden</label>
	                  <div class='input-group date' id='datetimepicker1'>
	                     <input type='text' class="form-control" th:field="*{openDate}" />
	                     <span class="input-group-addon">
	                     <span class="glyphicon glyphicon-calendar"></span>
	                     </span>
	                  </div>
	               </div>
	            </div>
         </div>
        
         <div class="row"  >
         	<div class="col-md-6">
	               <div class="form-group">
	                  <label class="control-label">Reporte Inicial</label>
	                  <textarea class="form-control" name="email" id="email" th:field="*{orderReport}"></textarea>
	               </div>
            	</div> 	         	
            <div class="col-md-2">
               <div class="form-group">
               	  <label class="control-label" for="Equipo">Equipo</label>
				  <select class="form-control" th:field="*{householdAppliances[__${itemStat.index}__].type}">
				      <option value="">Select one</option>
				      <option th:each="equipo : ${typeList}" 
				     		  th:value="${equipo}"
                			  th:utext="${equipo}"></option>
				  </select>               
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
               	  <label class="control-label" for="Marca">Marca</label>
				  <select class="form-control" th:field="*{householdAppliances[__${itemStat.index}__].brand}">
				      <option value="">Select Test Order</option>
				      <option th:each="marca : ${brandList}" 
				     		  th:value="${marca}"
                			  th:utext="${marca}"></option>
				  </select>               
               </div>
            </div>
            <div class="col-md-2">
               <div class="form-group">
                  <label class="control-label">Modelo</label>
                  <input type="text" class="form-control" th:field="*{householdAppliances[__${itemStat.index}__].model}">
               </div>
            </div>
		</div>
		
         
         	<input type="submit" class="btn btn-primary" value="Submit">
         </form> 
         
     	
      </div>
   </div>
</div>
		
</body>
</html>
